repo/gentoo:master commit in: dev-python/pyproject-fmt/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786945336.04031dca624da16bc848e940498f96037f76b988.mgorny@gentoo>
commit:     04031dca624da16bc848e940498f96037f76b988
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 04:57:43 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 05:42:16 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04031dca

dev-python/pyproject-fmt: Bump to 2.28.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyproject-fmt/Manifest                  |   4 +
 .../pyproject-fmt/pyproject-fmt-2.28.0.ebuild      | 116 +++++++++++++++++++++
 2 files changed, 120 insertions(+)

diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 215f85f96bf5..6ef447b9a06e 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -8,7 +8,10 @@ DIST pyproject_fmt-2.26.0.tar.gz 296642 BLAKE2B 210375e5c5caaa7b6c43ede00a627f25
 DIST pyproject_fmt-2.26.0.tar.gz.provenance 10017 BLAKE2B 032a743e5ba685bfb34bcf6d509162d0afd38b280a3d92b38ed4c630625bd8f287d0dd2fdf9f90782b31ad5040ccd3eded9375f57ba55f3c57632d196eaf3abb SHA512 aec802a25f29ca55593f5bf343c310d1b5ec7890be620e98efa4438fb2d11493158455d67a4f73daed363e1388bc299deeb590310e77ea810126dd0ff5ce852b
 DIST pyproject_fmt-2.27.1.tar.gz 299527 BLAKE2B 2aab29267a4163c6250e3d86bc750b25ae7844fbef67b6812e71240757945d2f8bed5f01e41027703562b9b2c2b7dd13f054ca0f2a40d73725572ca93d6e4439 SHA512 18a4f7509936ed401aa492cc6aeaf59ab05feddd8d44606610b4fb98972ff4face8a9c93dd2546ca1dc82c616e000ec8d6916dce668e503a9c8572ba354f6974
 DIST pyproject_fmt-2.27.1.tar.gz.provenance 9925 BLAKE2B 0612e6088bb5374a7bb823de6ad12d5c470125f65f8fd04b2b2b402f138a14ccdb8bb612a0479491f9ea80702dcc66ff6aa79feec3a1fa4bf87b675cc99c0b12 SHA512 2742ebcab02153802afa3e45411a1982baf3fb63d29463fc114cf592e471f222a878793791bfe9d506dd35034993ff9fb3a2065ef8d86706cb6a1cab2c40c37f
+DIST pyproject_fmt-2.28.0.tar.gz 301864 BLAKE2B c51300782c35ce76e522ebef1de1f3444c4c4dea5e47c2839892a5bee8da0eb2146cb8cf2eea6b427460e4e236e8deb333a146b4cf7f86637dc1b849007253ec SHA512 345d6958128fd1b0ebb516a2c2bf14eee64e171d26987e9453be0e282a1b993ef369443aac521937ca91ab5e2b42b4df04768a7121bf58705c7b5fb359bbee62
+DIST pyproject_fmt-2.28.0.tar.gz.provenance 9882 BLAKE2B 3096bd0bd1924dc31e0877fcec83ae15af5fdc492e8370b2a17fb3f47e8588c4834df7099b85d14210e217065203559e4018fe6d2e1b6537401a3deaf7928753 SHA512 46ca391db06c455808c9534b0f66d7ac4a62a8f34ada35a0d471321be5a27334a6e47d74983de040f127d33a869c2e5fe60d0d5017d2a63ed8a39afdb32d1287
 DIST tombi-0d64bd3bd8a5ddcaafdfc7b114e3b73ada0b325b.gh.tar.gz 10564681 BLAKE2B 1cc4e307d89ae978c8022aed63ad7a7c08e71f810e42743589a6bf44499051250102ca3a60aa2cea65292dfd187240da96f6fb963511b6d4c06559c20bbc67a3 SHA512 e398e14c9b092f2378dfa848c697ea5cb0af705bcb801f288d2ca98b8c0d4aa3abf7a71f2f5a10a4a6a77e1e8d1f7089a0359b2a3ec9b226a19bbb40f0aa0a14
+DIST tombi-2c1f7bfc0b36f106eb50821fe41f25cc90e75427.gh.tar.gz 10689465 BLAKE2B 074bb5b9d631056fe7ee3e3b605eba2f2a8065eaa4f06f950df84b6045db8f157d9575044a5fb061ebfe41b7fbb5ff837f790b04f21341f2a0c99b119ff9ac78 SHA512 0daad5c26c8ba44d7dd98c0620dfeb6c821149fce7efb5b0fbfb30ffb543b7af06ba30d5b2c3a40df5e2e289ec5ee7eabf39d3fbbd4d965a13aa84be7874c573
 DIST tombi-447bbe853ac15d1149976e9bbf85dd11fb55359e.gh.tar.gz 10635118 BLAKE2B 76bdc1d7e4704af8891309afbd5ceaba8e4d04ccc6bf4fcb4b021949e8774a613fd3530824407968066b046b455cb63ee754b1a5948a090a5e52b1f83c3d06e1 SHA512 d0aac41e3a7265d2eba5b64cc5815d2cbcc0ade1e055d57821afe4f399079f677c7b7964ffedfbffd8be8429a9ed01987c1446f7eabcedd6ba273fe7ae7d774c
 DIST tombi-b46e34c8555e1b98d695ceec30cfa9c0227878ed.gh.tar.gz 10619752 BLAKE2B aef751b54ff252c35c216980d55561d409e76e71379a5d537835db1475bdaa277fd95b233f22af43644fb5a23a2621859706981a78ff7c79e768735f4b071ab4 SHA512 a4b7f71b5ca6f8bc9b64eda3f0048fb372ec44b8b4ab77e3d50bd4ef938de632e3a3837891baa98b4f44a311a743373e5ac92a0c7167ac32cdcbf1e180c7315c
 DIST tombi-e9213370947e9d7ab6dd98c1cf17533bbbcc797f.gh.tar.gz 10608653 BLAKE2B 7fd8a27bec2e0c5ab357f2c56ca50c848d71e02da3faca9b0650541b35b177ce7b669d294c20add3dac2ba70e5ced46046d5c2de14df81fcee418fccaaa47344 SHA512 a84ca3f676b95d11c121df08382e3bc6ca2e31c0c867ff3027c5564219f637abda34bcc00d563d777280e1b4522354e83b6bb4b0412b067e9ce57272a4e34d15
@@ -17,3 +20,4 @@ DIST toml-fmt-pyproject-fmt-2.24.1-crates.tar.xz 18725980 BLAKE2B 75f6c4a07b14fc
 DIST toml-fmt-pyproject-fmt-2.25.4-crates.tar.xz 16547296 BLAKE2B 90d85bfcb1652e61911bed8b89b787569fb45b00b6202335e6106ea427ecca78e24c508f030259b67388a4ea149cbc1bcdc87ad2083eb9c63613dfd0d684bb1a SHA512 e89213e82e7cfef3a61e38f027c85571044c6c7f3acc218722d056756b09221b0425d021ae6ae9392c123768dcd0e05fa5eff1b281f0f15fed15e69416b23d00
 DIST toml-fmt-pyproject-fmt-2.26.0-crates.tar.xz 16547296 BLAKE2B 90d85bfcb1652e61911bed8b89b787569fb45b00b6202335e6106ea427ecca78e24c508f030259b67388a4ea149cbc1bcdc87ad2083eb9c63613dfd0d684bb1a SHA512 e89213e82e7cfef3a61e38f027c85571044c6c7f3acc218722d056756b09221b0425d021ae6ae9392c123768dcd0e05fa5eff1b281f0f15fed15e69416b23d00
 DIST toml-fmt-pyproject-fmt-2.27.1-crates.tar.xz 16632708 BLAKE2B 510359aae2b351b8a1e5a73e77bb39b68732453ff4624a9424721f3c1de5aa00ef1e8c06a1858f38ee5ee9ae07fe76304dbe14722611b3b564b51d1b26038c55 SHA512 b41bd7a614426126d6b82b72af12d3b1750ad037145430d0f5f1be5bf097101470f9757ba448ea539b14f155bd31f4800a95172db8616d3214df28f6115d0e9d
+DIST toml-fmt-pyproject-fmt-2.28.0-crates.tar.xz 16369840 BLAKE2B d47722d8d60399653d5ade9b4af37f5b932c41aee14b587201e0c2f17e12cf9e7285dbf395c577fa503508840c2f79add423494cb3363b5eedbb7b06395ef905 SHA512 e7a0a67adc943462f3299b8d459231642905a86ad70b8fadc4e37c01d2a569948f2546f0dc481136ff3a9750c5a128a4189e24707e0cc43a70cc25352b41967a

diff --git a/dev-python/pyproject-fmt/pyproject-fmt-2.28.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-2.28.0.ebuild
new file mode 100644
index 000000000000..850c9998f652
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-2.28.0.ebuild
@@ -0,0 +1,116 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+DISTUTILS_UPSTREAM_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/tox-dev/toml-fmt
+PYTHON_COMPAT=( python3_{12..15} )
+
+RUST_MIN_VER="1.88.0"
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+	[tombi-accessor]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-accessor'
+	[tombi-ast-editor]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-ast-editor'
+	[tombi-ast]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-ast'
+	[tombi-cache]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-cache'
+	[tombi-comment-directive-serde]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-comment-directive-serde'
+	[tombi-comment-directive-store]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-comment-directive-store'
+	[tombi-comment-directive]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-comment-directive'
+	[tombi-config]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-config'
+	[tombi-date-time]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-date-time'
+	[tombi-diagnostic]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-diagnostic'
+	[tombi-document-tree]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-document-tree'
+	[tombi-document]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-document'
+	[tombi-formatter]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-formatter'
+	[tombi-future]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-future'
+	[tombi-hashmap]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-hashmap'
+	[tombi-json-lexer]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-json-lexer'
+	[tombi-json-syntax]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-json-syntax'
+	[tombi-json-value]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-json-value'
+	[tombi-json]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-json'
+	[tombi-lexer]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-lexer'
+	[tombi-parser]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-parser'
+	[tombi-regex]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-regex'
+	[tombi-rg-tree]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-rg-tree'
+	[tombi-schema-store]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-schema-store'
+	[tombi-schema-type]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-schema-type'
+	[tombi-severity-level]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-severity-level'
+	[tombi-syntax]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-syntax'
+	[tombi-text]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-text'
+	[tombi-toml-text]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-toml-text'
+	[tombi-toml-version]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-toml-version'
+	[tombi-uri]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-uri'
+	[tombi-validator]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-validator'
+	[tombi-version-sort]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-version-sort'
+	[tombi-x-keyword]='https://github.com/tombi-toml/tombi;2c1f7bfc0b36f106eb50821fe41f25cc90e75427;tombi-%commit%/crates/tombi-x-keyword'
+)
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+	https://github.com/tox-dev/toml-fmt/
+	https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI+="
+	${CARGO_CRATE_URIS}
+	https://github.com/gentoo-crate-dist/toml-fmt/releases/download/pyproject-fmt%2F${PV}/toml-fmt-${P}-crates.tar.xz
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+	Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT MPL-2.0
+	Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+	dev-python/toml-fmt-common[${PYTHON_USEDEP}]
+"
+# tox is called as a subprocess, to get targets from tox.ini
+BDEPEND="
+	test? (
+		dev-python/tox
+	)
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/pyproject_fmt/_lib.*.so"
+
+src_unpack() {
+	pypi_src_unpack
+	cargo_src_unpack
+}
+
+src_prepare() {
+	distutils-r1_src_prepare
+	sed -i -e '/strip/d' pyproject.toml || die
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# something about ANSI codes, no clue
+		'pyproject-fmt/tests/test_main.py::test_main[format-absolute-no_check-in_place]'
+		'pyproject-fmt/tests/test_main.py::test_main[format-cwd-no_check-in_place]'
+		# broken CLI test, expects exit status, gets an exception directly
+		pyproject-fmt/tests/test_main.py::test_invalid_project_version
+	)
+
+	epytest pyproject-fmt
+}
+
+python_test_all() {
+	# default features cause linking errors because they make pyo3
+	# wrongly assume it's compiling a Python extension
+	# https://github.com/tox-dev/toml-fmt/issues/23
+	cargo_src_test --no-default-features
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.